Package Details: firefox-hg r591370+.fdd919d10609+-1

Git Clone URL: https://aur.archlinux.org/firefox-hg.git (read-only, click to copy)
Package Base: firefox-hg
Description: Standalone web browser from mozilla.org (mozilla-unified hg, release branding)
Upstream URL: https://www.mozilla.org/firefox/
Keywords: browser gecko web
Licenses: GPL, MPL, LGPL
Conflicts: firefox
Provides: firefox
Submitter: aya
Maintainer: None
Last Packager: QuartzDragon
Votes: 2
Popularity: 0.063383
First Submitted: 2015-08-15 15:36 (UTC)
Last Updated: 2020-06-25 06:00 (UTC)

Dependencies (45)

Required by (137)

Sources (6)

Latest Comments

1 2 Next › Last »

tiziodcaio commented on 2022-05-11 12:11 (UTC) (edited on 2022-05-11 12:11 (UTC) by tiziodcaio)

@thotypous if you want there is no mantainer

Dylan14 commented on 2021-02-23 16:10 (UTC)

Per https://firefox-source-docs.mozilla.org/setup/linux_build.html#install-python, it appears Python 2 is no longer needed to build Firefox but needed for some tests.

thotypous commented on 2020-12-22 14:38 (UTC)

I'm currently the maintainer of the firefox-wayland-hg package. Since some time ago, wayland specific patches were merged upstream, so there is no reason for a firefox-wayland-hg package to exist anymore.

I'd like to kindly ask you to be a co-maintainer of the firefox-hg package.

I'm planning to ask the firefox-wayland-hg package to be merged to this one. I will also take care to help keeping this package always building correctly against latest hg. We will also benefit from the chaotic-aur's automatic builder, which builds the package once per day.

katt commented on 2020-06-24 14:45 (UTC)

Could this be updated to be more in sync with the official firefox package?

Ranguvar commented on 2018-10-29 18:04 (UTC)

Updated PKGBUILD to sync with firefox package. Confirmed builds and runs fine.

https://ranguvar.io/pub/firefox-hg/PKGBUILD

bm456 commented on 2018-08-26 02:50 (UTC)

Add this dependency https://aur.archlinux.org/packages/cbindgen/

linkmauve commented on 2017-11-06 13:47 (UTC) (edited on 2017-11-06 13:55 (UTC) by linkmauve)

Hi, fix-wifi-scanner.diff has landed upstream, and it prevents this package from building, you should remove it altogether. Also nss 3.33 is currently too old, the build system checks for >=3.34, so maybe suggest nss-hg instead?

silverhammermba commented on 2017-06-20 05:25 (UTC)

I'm trying to update this package, but I'm currently getting compiler errors during the build. Doesn't seem to be PKGBUILD- or config-related, so I'm not sure what's up. Should I just push anyway?

ShalokShalom commented on 2017-06-18 18:08 (UTC)

This here is about the media_libjpeg issue: https://bugzilla.mozilla.org/show_bug.cgi?id=1373988 Remove both from your mozconfig and it builds just fine.

ShalokShalom commented on 2017-06-17 10:33 (UTC)

@boogerland Same here, did you manage to solve?